<?php
  $loader = Yab_Loader::getInstance();
  $config = $loader->getConfig();
  $router = $loader->getRouter();
  $registry = $loader->getRegistry();
  $request = $loader->getRequest() ;
  $session = $loader->getSession();
  $server = $loader->getRequest()->getServer();

?>
<h1>Yab Framework Variables</h1>
<div id="menu">
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active">
      <a href="#config" id="home-tab" role="tab" data-toggle="tab" aria-controls="config" aria-expanded="false">Config</a>
    </li>
    <li role="presentation">
      <a href="#router" id="home-tab" role="tab" data-toggle="tab" aria-controls="router" aria-expanded="false">Router</a>
    </li>
    <li role="presentation">
      <a href="#session" id="home-tab" role="tab" data-toggle="tab" aria-controls="session" aria-expanded="false">Session</a>
    </li>
    <li role="presentation">
      <a href="#registry" id="home-tab" role="tab" data-toggle="tab" aria-controls="registry" aria-expanded="false">Registry</a>
    </li>
    <li role="presentation">
      <a href="#request" id="home-tab" role="tab" data-toggle="tab" aria-controls="request" aria-expanded="false">Request</a>
    </li>
    <li role="presentation">
      <a href="#server" id="home-tab" role="tab" data-toggle="tab" aria-controls="server" aria-expanded="false">Server</a>
    </li>
    <li role="presentation">
      <a href="#serialize" id="home-tab" role="tab" data-toggle="tab" aria-controls="serialize" aria-expanded="false">Serialize</a>
    </li>
    <li role="presentation">
      <a href="#webserver" id="home-tab" role="tab" data-toggle="tab" aria-controls="webserver" aria-expanded="false">Web Server</a>
    </li>
    <li role="presentation">
      <a href="#phpinfo" id="home-tab" role="tab" data-toggle="tab" aria-controls="phpinfo" aria-expanded="false">PHPInfo</a>
    </li>    
  </ul>
</div>
<div id="detail" class="tab-content">
  <div role="tabpanel" class="tab-pane fade active in" id="config" aria-labelledby="profile-tab">
    <h2>Config</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($config);
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="router" aria-labelledby="profile-tab">
    <h2>Router</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($router);
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="session" aria-labelledby="profile-tab">
    <h2>Session</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($session);
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="registry" aria-labelledby="profile-tab">
    <h2>Registry</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($registry);
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="request" aria-labelledby="profile-tab">
    <h2>Request</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($request);
      print "</pre>"; 
    ?>  
  </div>    
  <div role="tabpanel" class="tab-pane fade in" id="server" aria-labelledby="profile-tab">
    <h2>Server</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($server);
      print "</pre>"; 
    ?>  
  </div> 
  <div role="tabpanel" class="tab-pane fade in" id="serialize" aria-labelledby="profile-tab">
    <h2>Request</h2>
    <hr>
    <?php
      print "<pre>";
      echo (serialize($request));
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="webserver" aria-labelledby="profile-tab">
    <h2>Web Server</h2>
    <hr>
    <?php
      print "<pre>";
      print_r($_SERVER);
      print "</pre>"; 
    ?>  
  </div>
  <div role="tabpanel" class="tab-pane fade in" id="phpinfo" aria-labelledby="profile-tab">
    <h2>PHPInfo</h2>
    <hr>
    <?php
      // print "<pre>";
      phpinfo();
      // print "</pre>"; 
    ?>  
  </div> 
    
</div>

 